$kind: http-request
url: "{{Local_URL}}report-layouts"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: "/*{\r

    \  \"report_type\": \"income_statement\", //'balance_sheet',
    'income_statement','trial_balance','cash_flow'\r

    \  \"level\": \"category\",//'category', 'subcategory', 'coa', 'total'\r

    \  //\"parent_id\": \"c88356f9-2712-4d43-932e-c4725e5346c1\", //Layout row
    parent id\r

    \  //\"coa_id\": 45,\r

    \  \"report_group\": \"NonCash\", //e.g Revenue, Expenses, Tax, NonCash\r

    \  \"section\": \"Other\",//assets | liabilities | equity | income | expense
    | tax | other\r

    \  \"position\": 10,\r

    \  \"is_total\": false,\r

    \  \"label\": \"Other comprehensive Income\",\r

    \  \"row_type\": \"header\",//'header','group','subtotal','derived' \r

    \    \"total_key\":\"other_comprehensive_incoem\", //gross_profit,
    net_profit\r

    \   /*\"formula\": {\r

    \        \"subtract\": [\"profit_loss_before_tax\", \"tax_costs\"]\r

    \    }, /\r

    \  \"sign\": 1,\r

    \  \"bold\": true,\r

    \  \"indent_level\": 0,\r

    \  \"decimal_places\": 2,\r

    \  \"is_visible\": true,\r

    \  \"notes\": \"Main expense account\"\r

    }*/\r

    {\r

    \  \"report_type\": \"income_statement\", //'balance_sheet',
    'income_statement','trial_balance','cash_flow'\r

    \  \"level\": \"total\",//'category', 'subcategory', 'coa', 'total'\r

    \  //\"parent_id\": \"c88356f9-2712-4d43-932e-c4725e5346c1\", //Layout row
    parent id\r

    \  //\"coa_id\": 45,\r

    \  \"report_group\": \"NonCash\", //e.g Revenue, Expenses, Tax, NonCash\r

    \  \"section\": \"Other\",//assets | liabilities | equity | income | expense
    | tax | other\r

    \  \"position\": 11,\r

    \  \"is_total\": true,\r

    \  \"label\": \"Profit/(Loss) for the year\",\r

    \  \"row_type\": \"derived\",//'header','group','subtotal','derived' \r

    \    \"total_key\":\"profit_loss_of_the_year\", //gross_profit, net_profit\r

    \   \"formula\": {\r

    \        \"add\": [\"profit_loss_of_the_year\",
    \"other_comprehensive_income\"]\r

    \    }, \r

    \  \"sign\": 1,\r

    \  \"bold\": true,\r

    \  \"indent_level\": 0,\r

    \  \"decimal_places\": 2,\r

    \  \"is_visible\": true,\r

    \  \"notes\": \"Main expense account\"\r

    }\r\n"
auth:
  type: bearer
  credentials:
    token: "{{ERP_Local_Token}}"
order: 1000
